SoundReadFile(3)

Name
SoundReadFile - read audio data from an audio file.

Synopsis
#include <audio/audiolib.h>

int SoundReadFile(buffer, num_bytes, sound)
    char *buffer;
    int num_bytes;
    Sound sound;

Arguments

buffer
    Specifies where the data should be read into.

num_bytes
    Specifies the length of the data to read.

sound
    Specifies the audio file description.

Description
SoundReadFile reads num_bytes into buffer from the audio file described by sound.

See Also
SoundOpenFileForReading.

audiolib - Network Audio System C Language Interface